Overview

Welcome to Data Explorer Help

Data Explorer is used to view both SDD and UFF data files. Because Data Explorer uses GraphTool for displaying data, it is recommended that you first learn how to use GraphTool before running this application. Click here for GraphTool's online help.

This online help is best viewed using Internet Explorer with text size 'smaller'.

Last updated on May 30, 2003

Copyright 2005 Spectral Dynamics Inc.


Main Window

This is the main window of Data Explorer. This application functions much like GraphTool in post analysis, the difference here is that you can view both SDD and UFF data files, easily navigate through a data file's frames with the Data Browser Window, and view X and Y points of a frame in the Data Points Window.

Open SDD: Opens an SDD file for viewing. Use must choose a frame from the Data Browser Windows in order to view the SDD.
Open UFF: Opens a UFF file for viewing. Use must choose a frame from the Data Browser Windows in order to view the UFF.
Copy Plot Values: This copies the selected points in the Data Points Window.
Help: Opens the help menu dialog.
- [View local Help] will open up the help documentation on your local drive.
- [View Online Help] will open the latest help version from Spectral Dynamics' Puma support site as long as the computer is connected to the internet.


Data Browser

Data Browser Window

The Data Browser Window is where a user can navigate through an SDD or UFF to view a frame of data through the main window of Data Explorer. You must click on a Source for the data to be displayed.

SDD

Each frame of an SDD file contains a [Frame/Function/Source]. In the example below you can see the first frame's data:

Frame = "Frame at 167 000:00:00:35 000:00:00:30"
Function = "Time Trace / PSD / Mag Spec / Lin Spec / Error Spec..."
Source = "Channel 1 / Channel 2 / Channel 3"

UFF

The UFF file below is the same SDD file shown on the left which was converted using Puma Export Manager. Each Frame of the UFF is a [Function/Source] of an SDD file, therefore in the example below, the UFF will have five times as many frames as the SDD.

Frame = "Frame at 0, 2400 PUMA 16-Jul-2002 15:41:41"
Function = "TIME"
Source = "CHANNEL / SOURCE"

Browse through an SDD file... | ...or a UFF file.

Problems opening an SDD data file:

Sometimes when an SDD file is created a test may either be aborted early or not have any frames to be saved of when setting up the settings in data storage. In either case the file will not be opened by DataExplorer because no frames exist for viewing.


Data Points

Previous topic Data Points Window

The Data Points Window is simply the X and Y points of a selected Source from the data file. By selecting either the X column or Y column then pressing the copy button, you can paste these values into a text file or graph them using applications such as Excel.

Select All: This selects both X and Y values for copying onto the clipboard.


SDD

Previous topic Spectral Dynamics Data (SDD)

Spectral Dynamics Data (SDD): This is the file format used by the Puma Computer Aided Test Suite. An SDD file may contain one or multiple Frames. Each frame may contain one or more function types and with each function type there are associated channels.

An example of an SDD file as shown using Data Explorer


UFF

Previous topic Universal File Format (UFF)

Universal File Format (UFF): A text file which contains data in a the universal format.

An example of a UFF file converted from an SDD using Puma Export Manager


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2005 Spectral Dynamics Inc.

Microsoft Excel, Word, and Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.